import { Component, Input, OnInit } from '@angular/core';

import { Navigation } from '../../models/navigation.model';

@Component({
  selector: 'nshmp-template-header',
  templateUrl: './header.component.html',
  styleUrls: ['./header.component.scss']
})
export class HeaderComponent implements OnInit {
  /**
   * Whether to render the search bar on the header.
   * Default: true
   */
  @Input() renderSearchBar = true;

  /**
   * Whether the header is in minimal, header decreases size
   */
  @Input() minimal = false;

  /** Navigation list for the header dropdown menu */
  @Input() navigationList: Navigation[];

  constructor() {}

  ngOnInit() {}
}
