import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';

import { FooterBottomNavbarComponent } from '../components/footer-bottom-navbar/footer-bottom-navbar.component';
import { FooterTopNavbarComponent } from '../components/footer-top-navbar/footer-top-navbar.component';
import { FooterComponent } from '../components/footer/footer.component';
import { GovBannerContentComponent } from '../components/gov-banner-content/gov-banner-content.component';
import { GovBannerHeaderComponent } from '../components/gov-banner-header/gov-banner-header.component';
import { GovBannerComponent } from '../components/gov-banner/gov-banner.component';
import { HeaderComponent } from '../components/header/header.component';
import { MainPageComponent } from '../components/main-page/main-page.component';
import { NavigationComponent } from '../components/navigation/navigation.component';
import { NshmpTemplateComponent } from '../components/nshmp-template/nshmp-template.component';
import { SearchBarComponent } from '../components/search-bar/search-bar.component';
import { MaterialModule } from './material.module';

@NgModule({
  imports: [CommonModule, MaterialModule, RouterModule.forChild([])],
  declarations: [
    NshmpTemplateComponent,
    FooterBottomNavbarComponent,
    FooterComponent,
    FooterTopNavbarComponent,
    GovBannerComponent,
    GovBannerContentComponent,
    GovBannerHeaderComponent,
    HeaderComponent,
    NavigationComponent,
    MainPageComponent,
    SearchBarComponent
  ],
  exports: [
    NshmpTemplateComponent,
    FooterComponent,
    GovBannerComponent,
    HeaderComponent,
    MainPageComponent
  ]
})
export class NshmpLayoutModule {}
