import { ModuleWithProviders, NgModule } from '@angular/core';
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
import { RouterModule } from '@angular/router';

import { NshmpLayoutModule } from './modules/nshmp-layout.module';

@NgModule({
  imports: [NshmpLayoutModule, BrowserAnimationsModule, RouterModule.forRoot([])],
  exports: [NshmpLayoutModule]
})
export class NshmpTemplateModuleForRoot {}

/**
 * Main nshmp-template module.
 *
 * NOTE: Any application consuming the nshmp-template library and does not call
 * RouterModule.forRoot() must call NshmpTemplateModule.forRoot()
 */
@NgModule({
  imports: [NshmpLayoutModule, BrowserAnimationsModule],
  exports: [NshmpLayoutModule]
})
export class NshmpTemplateModule {
  static forRoot(): ModuleWithProviders {
    return {
      ngModule: NshmpTemplateModuleForRoot,
      providers: []
    };
  }
}
